View Issue Details

IDProjectCategoryView StatusLast Update
04593User patchesSurvey Takingpublic2010-12-14 13:02
Reporteruser9586Assigned Toc_schmitz  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.91 
Summary04593: Disable 'saves' when token-based answer persistence is enabled.
Description

When token-based answer persistence is enabled, the 'Resume later' button should be removed.

TagsNo tags attached.
Complete LimeSurvey version number (& build)9114

Activities

user9586

2010-09-10 17:05

  ~12827

Updated patch also disabled the 'save' form itself.

user9586

2010-09-13 17:47

  ~12840

patch3 also fixes the 'Hints' given on the survey summary.

c_schmitz

c_schmitz

2010-10-11 23:55

administrator   ~13093

Can you please provide the patch as a subversion patch (svn diff) against our 1.91 development version at the subversion branch at :
https://limesurvey.svn.sourceforge.net/svnroot/limesurvey/source/limesurvey_dev

Thank you!

user9586

2010-11-05 17:49

  ~13433

Next patch.
This has been partly fixed in SVN, so I only tweak the "Hint".

c_schmitz

c_schmitz

2010-11-05 18:31

administrator   ~13436

Thank you

lemeur

lemeur

2010-11-06 08:26

developer   ~13445

I'm sorry but I will have to reverse the proposed patch.
It just mixes different things: tokenanswerspersistence has nothing to do with allowregister

c_schmitz

c_schmitz

2010-11-06 12:07

administrator   ~13446

Sorry, I overlooked that. Thanks for fixing this up.

user9586

2010-11-08 11:45

  ~13452

I'm sorry about this, the patch was indeed wrong (I badly updated the patch from the limesurvey branch - I apologize).

The change should have been done on the "surveyinfo['allowsave']" line (the first patch was correct, but I see it was removed): when tokenanswerspersistence is enabled, allowsave shouldn't be allowed. This was fixed recently in the current limesurvey_dev which behaves correctly, but the hint still shows "Participants can save partially finished surveys".

It's a minor glitch, so I'm fine with the current behavior anyway.

user9586

2010-11-08 11:54

 

patch-svn-2.diff (1,113 bytes)
Index: admin/html.php
===================================================================
--- admin/html.php	(revision 9421)
+++ admin/html.php	(working copy)
@@ -800,7 +800,7 @@
         if ($surveyinfo['refurl'] == "Y") {$surveysummary2 .= $clang->gT("Referer-URL will be saved")."<br />\n";}
         if ($surveyinfo['usecookie'] == "Y") {$surveysummary2 .= $clang->gT("It uses cookies for access control.")."<br />\n";}
         if ($surveyinfo['allowregister'] == "Y") {$surveysummary2 .= $clang->gT("If tokens are used, the public may register for this survey")."<br />\n";}
-        if ($surveyinfo['allowsave'] == "Y") {$surveysummary2 .= $clang->gT("Participants can save partially finished surveys")."<br />\n";}
+        if ($surveyinfo['allowsave'] == "Y" && $surveyinfo['tokenanswerspersistence'] == 'N') {$surveysummary2 .= $clang->gT("Participants can save partially finished surveys")."<br />\n";}
         if ($surveyinfo['emailnotificationto'] != '') 
         {
             $surveysummary2 .= $clang->gT("Basic email notification is sent to:")." {$surveyinfo['emailnotificationto']}<br />\n";
patch-svn-2.diff (1,113 bytes)

user9586

2010-11-08 11:58

  ~13453

I've fixed the patch (if needed).

Mazi

Mazi

2010-11-10 00:31

partner   ~13477

Great work, wavexx. A small but very useful improvement!

c_schmitz

c_schmitz

2010-11-10 18:13

administrator   ~13495

I think the same change was already done by lemeur, so the patch does not change anything ;).

Issue History

Date Modified Username Field Change
2010-09-10 16:32 user9586 New Issue
2010-09-10 16:32 user9586 File Added: patch.diff
2010-09-10 17:05 user9586 File Added: patch2.diff
2010-09-10 17:05 user9586 Note Added: 12827
2010-09-13 17:46 user9586 File Added: patch3.diff
2010-09-13 17:47 user9586 Note Added: 12840
2010-09-29 17:47 user9586 File Added: patch4.diff
2010-10-11 23:55 c_schmitz Status new => feedback
2010-10-11 23:55 c_schmitz Note Added: 13093
2010-11-05 17:49 user9586 File Added: patch-svn.diff
2010-11-05 17:49 user9586 Note Added: 13433
2010-11-05 17:49 user9586 Status feedback => new
2010-11-05 18:29 c_schmitz File Deleted: patch.diff
2010-11-05 18:29 c_schmitz File Deleted: patch2.diff
2010-11-05 18:29 c_schmitz File Deleted: patch3.diff
2010-11-05 18:29 c_schmitz File Deleted: patch4.diff
2010-11-05 18:29 c_schmitz Assigned To => c_schmitz
2010-11-05 18:29 c_schmitz Status new => assigned
2010-11-05 18:31 c_schmitz Note Added: 13436
2010-11-05 18:31 c_schmitz Status assigned => closed
2010-11-05 18:31 c_schmitz Resolution open => fixed
2010-11-05 18:31 c_schmitz Fixed in Version => 1.91
2010-11-06 08:26 lemeur Note Added: 13445
2010-11-06 08:26 lemeur Status closed => feedback
2010-11-06 08:26 lemeur Resolution fixed => reopened
2010-11-06 08:36 lemeur Status feedback => resolved
2010-11-06 08:36 lemeur Resolution reopened => fixed
2010-11-06 12:07 c_schmitz Note Added: 13446
2010-11-08 11:45 user9586 Note Added: 13452
2010-11-08 11:45 user9586 Status resolved => feedback
2010-11-08 11:45 user9586 Resolution fixed => reopened
2010-11-08 11:54 user9586 File Added: patch-svn-2.diff
2010-11-08 11:58 user9586 Note Added: 13453
2010-11-08 11:58 user9586 Status feedback => assigned
2010-11-10 00:31 Mazi Note Added: 13477
2010-11-10 18:13 c_schmitz Note Added: 13495
2010-11-10 18:13 c_schmitz Status assigned => resolved
2010-11-10 18:13 c_schmitz Resolution reopened => fixed
2010-11-10 18:13 c_schmitz File Deleted: patch-svn.diff
2010-12-14 13:02 c_schmitz Status resolved => closed